<?xml version="1.0" encoding="UTF-8"?>
<plugin
	id="org.eclipse.hyades.ui"
	name="%PLUGIN_NAME"
	version="1.0.3"
	provider-name="%PROVIDER_NAME"
	class="org.eclipse.hyades.ui.HyadesUIPlugin">


	<runtime>
		<library name="hyades.ui.jar">
			<export name="*"/>
			<packages prefixes="org.eclipse.hyades.ui.internal,org.eclipse.hyades.ui"/>
		</library>
	</runtime>
   

	<requires>
		<import plugin="org.eclipse.core.resources"/>
		<import plugin="org.eclipse.ui"/>
		<import plugin="org.eclipse.jdt.core"/>
		<import plugin="org.apache.xerces"/>
	</requires>
   

	<extension-point id="typeDescriptions" name="%EP_TP_DESCS" schema="schema/typeDescriptions.exsd"/>
	<extension-point id="typeValidators" name="%EP_TYPE_VALIDATOR" schema="schema/typeValidators.exsd"/>
	<extension-point id="editorExtensions" name="%EP_EDT_EXTS" schema="schema/editorExtensions.exsd"/>
	<extension-point id="analyzerExtensions" name="%EP_ANALIZER_EXTS" schema="schema/analyzerExtensions.exsd"/>
	<extension-point id="reportExtensions" name="%EP_RPT_EXTS" schema="schema/reportExtensions.exsd"/>


	<extension point="org.eclipse.ui.elementFactories">
		<factory
			id="org.eclipse.hyades.ui.internal.logicalfolder.LogicalFolderFactory"
			class="org.eclipse.hyades.ui.internal.logicalfolder.LogicalFolderFactory"/>
	</extension>
</plugin>